package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrOverhaulPump;

/**
 * 检修项目-泵Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrOverhaulPumpService 
{
    /**
     * 查询检修项目-泵
     * 
     * @param id 检修项目-泵ID
     * @return 检修项目-泵
     */
    public TPssrOverhaulPump selectTPssrOverhaulPumpById(Long id);

    /**
     * 查询检修项目-泵列表
     * 
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 检修项目-泵集合
     */
    public List<TPssrOverhaulPump> selectTPssrOverhaulPumpList(TPssrOverhaulPump tPssrOverhaulPump);

    /**
     * 新增检修项目-泵
     * 
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 结果
     */
    public int insertTPssrOverhaulPump(TPssrOverhaulPump tPssrOverhaulPump);

    /**
     * 修改检修项目-泵
     * 
     * @param tPssrOverhaulPump 检修项目-泵
     * @return 结果
     */
    public int updateTPssrOverhaulPump(TPssrOverhaulPump tPssrOverhaulPump);
    public int updateAllBySubId(TPssrOverhaulPump tPssrOverhaulPump);

    /**
     * 批量删除检修项目-泵
     * 
     * @param ids 需要删除的检修项目-泵ID
     * @return 结果
     */
    public int deleteTPssrOverhaulPumpByIds(Long[] ids);

    /**
     * 删除检修项目-泵信息
     * 
     * @param id 检修项目-泵ID
     * @return 结果
     */
    public int deleteTPssrOverhaulPumpById(Long id);
}
